# PyTorch-DRL

PyTorch-DRL is

* a simple PyTorch wrapper making deep reinforcement learning much easier





## Quickstart

### Template Using PyTorch-DRL

#### Recommended Structure

```
.
├── env
│   ├── __init__.py
│   └── customized_env.py
├── net
│   ├── __init__.py
│   └── customized_net.py
├── agent
│   ├── __init__.py
│   └── customized_agent.py
├── trainer
│   ├── __init__.py
│   └── customized_trainer.py
├── main.py
└── requirements.txt
```

#### Demo

```bash
$ python demo.py
```



### Dependencies and Installation

#### Package Dependencies

`pip install -r requirements.txt` can handle all package dependencies.

#### Install PyTorch-DRL

```bash
$ pip install pytorch-drl
```



## Related Projects

* Inspired by [Tianshou](https://github.com/thu-ml/tianshou)
* [ElegantRL](https://github.com/AI4Finance-Foundation/ElegantRL)

